<?php
/*
  $Id: farsi.php,v 1.2 2008/01/24 18:30:25 Farhad zare $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com/

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/

// BOE Access with Level Account (v. 2.2a) for the Admin Area of osCommerce (MS2) 1 of 1
// comment out or remove below lines to disable this contribution
// header text in includes/header.php
define('HEADER_TITLE_ACCOUNT', 'حساب کاربری شما');
define('HEADER_TITLE_LOGOFF', '	خروج');

// Admin Account
define('BOX_HEADING_MY_ACCOUNT', 'حساب کاربری');

// configuration box text in includes/boxes/administrator.php
define('BOX_HEADING_ADMINISTRATOR', 'مدیریت فروشگاه');
define('BOX_ADMINISTRATOR_MEMBERS', 'اعضای مدیریت');
define('BOX_ADMINISTRATOR_MEMBER', 'مدیران');
define('BOX_ADMINISTRATOR_GROUPS', 'گروههای مدیریتی');
define('BOX_ADMINISTRATOR_BOXES', 'حق دسترسی فایلها');

// images
define('IMAGE_FILE_PERMISSION', 'حق دسترسی فایلها');
define('IMAGE_GROUPS', 'لیست گروه‌ها');
define('IMAGE_INSERT_FILE', 'افزودن فایل');
define('IMAGE_MEMBERS', 'لیست مدیران');
define('IMAGE_NEW_GROUP', 'گروه جدید');
define('IMAGE_NEW_MEMBER', 'مدیر جدید');
define('IMAGE_NEXT', 'بعدی');

// constants for use in tep_prev_next_display function
define('TEXT_DISPLAY_NUMBER_OF_FILENAMES', 'نمایش <b>%d</b> تا <b>%d</b> (از <b>%d</b> فایل)');
define('TEXT_DISPLAY_NUMBER_OF_MEMBERS', 'نمایش <b>%d</b> تا <b>%d</b> (از <b>%d</b> عضو مدیریت)');
// EOE Access with Level Account (v. 2.2a) for the Admin Area of osCommerce (MS2) 1 of 1

// look in your $PATH_LOCALE/locale directory for available locales..
// on RedHat6.0 I used 'en_US'
// on FreeBSD 4.0 I use 'en_US.ISO_8859-1'
// this may not work under win32 environments..
setlocale(LC_TIME, 'fa_IR.UTF-8');
define('DATE_FORMAT_SHORT', '%Y-%m-%d');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('PHP_DATE_TIME_FORMAT', 'Y-m-d H:i:s'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// Global entries for the <html> tag
define('HTML_PARAMS','dir="rtl" lang="fa"');

// Direction variables for language
define('HTML_TAG_ALIGN', 'right');
define('HTML_TAG_RALIGN', 'left');

// charset for web pages and emails
define('CHARSET', 'utf-8');

// page title
define('TITLE', 'مديريت Virtu E-Commerce');

// header text in includes/header.php
define('HEADER_TITLE_TOP', 'مديريت');
define('HEADER_TITLE_SUPPORT_SITE', 'سايت پشتيباني');
define('HEADER_TITLE_ONLINE_CATALOG', 'فروشگاه');
define('HEADER_TITLE_ADMINISTRATION', 'مديريت');

// text for gender
define('MALE', 'مرد');
define('FEMALE', 'زن');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// configuration box text in includes/boxes/configuration.php
define('BOX_HEADING_CONFIGURATION', 'تنظيمات');
define('BOX_CONFIGURATION_MYSTORE', 'فروشگاه من');
define('BOX_CONFIGURATION_LOGGING', 'واقعه نگاري');
define('BOX_CONFIGURATION_CACHE', 'مخزن');

// modules box text in includes/boxes/modules.php
define('BOX_HEADING_MODULES', 'ماژول ها');
define('BOX_MODULES_PAYMENT', 'پرداخت');
define('BOX_MODULES_SHIPPING', 'حمل و نقل');
define('BOX_MODULES_ORDER_TOTAL', 'جمع سفارش');

// categories box text in includes/boxes/catalog.php
define('BOX_HEADING_CATALOG', 'فروشگاه');
define('BOX_CATALOG_CATEGORIES_PRODUCTS', 'شاخه ها/محصولات');
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES', 'خصوصيات محصولات');
define('BOX_CATALOG_MANUFACTURERS', 'سازندگان');
define('BOX_CATALOG_REVIEWS', 'نظرات');
define('BOX_CATALOG_SPECIALS', 'فوق العاده ها');
define('BOX_CATALOG_PRODUCTS_EXPECTED', 'محصولات آينده');

// customers box text in includes/boxes/customers.php
define('BOX_HEADING_CUSTOMERS', 'مشتري ها');
define('BOX_CUSTOMERS_CUSTOMERS', 'مشتري ها');
define('BOX_CUSTOMERS_ORDERS', 'سفارشات');

// taxes box text in includes/boxes/taxes.php
define('BOX_HEADING_LOCATION_AND_TAXES', 'مناطق/ماليات ها');
define('BOX_TAXES_COUNTRIES', 'كشورها');
define('BOX_TAXES_ZONES', 'مناطق');
define('BOX_TAXES_GEO_ZONES', 'مناطق مالياتي');
define('BOX_TAXES_TAX_CLASSES', 'كلاسهاي مالياتي');
define('BOX_TAXES_TAX_RATES', 'نرخهاي مالياتي');

// reports box text in includes/boxes/reports.php
define('BOX_HEADING_REPORTS', 'گزارشات');
define('BOX_REPORTS_PRODUCTS_VIEWED', 'محصولات نمايش يافته');
define('BOX_REPORTS_PRODUCTS_PURCHASED', 'محصولات خريداري شده');
define('BOX_REPORTS_ORDERS_TOTAL', 'مجموع سفارشات مشتري ها');

// tools text in includes/boxes/tools.php
define('BOX_HEADING_TOOLS', 'ابزار');
define('BOX_TOOLS_BACKUP', 'پشتيبان گيري از Db');
define('BOX_TOOLS_BANNER_MANAGER', 'مديريت بنر');
define('BOX_TOOLS_CACHE', 'كنترل مخزن');
define('BOX_TOOLS_DEFINE_LANGUAGE', 'تعريف كردن زبان');
define('BOX_TOOLS_FILE_MANAGER', 'مديريت فايل');
define('BOX_TOOLS_MAIL', 'ارسال ايميل');
define('BOX_TOOLS_NEWSLETTER_MANAGER', 'مديريت خبرنامه');
define('BOX_TOOLS_SERVER_INFO', 'مشخصات سرور');
define('BOX_TOOLS_WHOS_ONLINE', 'افراد آنلاين');

// localizaion box text in includes/boxes/localization.php
define('BOX_HEADING_LOCALIZATION', 'مقادير محلي');
define('BOX_LOCALIZATION_CURRENCIES', 'واحدهاي پول');
define('BOX_LOCALIZATION_LANGUAGES', 'زبان');
define('BOX_LOCALIZATION_ORDERS_STATUS', 'وضعيت سفارشات');

// javascript messages
define('JS_ERROR', 'در هنگام تكميل كردن فرم خطايي به وجود آمده است!\nلطفا موارد زير را اصلاح كنيد:\n\n');

define('JS_OPTIONS_VALUE_PRICE', '* خصوصيت جديد محصول به مقداري براي قيمت نياز دارد.\n');
define('JS_OPTIONS_VALUE_PRICE_PREFIX', '* خصوصيت جديد محصول به يك پيشوند قيمتي نياز دارد.\n');

define('JS_PRODUCTS_NAME', '* محصول جديد بايد يك نام داشته باشد.\n');
define('JS_PRODUCTS_DESCRIPTION', '* محصول جديد بايد توضيحاتي داشته باشد.\n');
define('JS_PRODUCTS_PRICE', '* محصول جديد به يك قيمت نياز دارد.\n');
define('JS_PRODUCTS_WEIGHT', '* وزن محصول جديد بايد مقداردهي شود.\n');
define('JS_PRODUCTS_QUANTITY', '* محصول جديد به عددي به عنوان موجودي نياز دارد.\n');
define('JS_PRODUCTS_MODEL', '* بايد مدل محصول جديد مشخحص بشود.\n');
define('JS_PRODUCTS_IMAGE', '* براي محصول جديد بايد عكسي را نيز انتخاب كنيد.\n');

define('JS_SPECIALS_PRODUCTS_PRICE', '* قيمت جديد اين محصول بايد به طور مناسب تنظيم شود.\n');

define('JS_GENDER', '* براي \'جنسيت\' بايد مقداري را انتخاب كنيد.\n');
define('JS_FIRST_NAME', '* كادر \'نام\' بايد داراي حداقل  ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_LAST_NAME', '* كادر \'نام خانوادگي\' بايد داراي حداقل ' . ENTRY_LAST_NAME_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_DOB', '* كادر \'تاريخ تولد\' بايد به اين صورت پر بشود: xx/xx/xxxx (ماه/روز/سال).\n');
define('JS_EMAIL_ADDRESS', '* كادر \'آدرس پست الكترونيكي\'بايد داراي حداقل  ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_ADDRESS', '* كادر \'آدرس خيابان\' بايد داراي حداقل ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_POST_CODE', '* كادر \'كد پستي\' بايد داراي حداقل ' . ENTRY_POSTCODE_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_CITY', '* كادر \'شهر\' بايد داراي حداقل ' . ENTRY_CITY_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_STATE', '* مقدار \'استان\' بايد از داخل كادر كشويي انتخاب شود.\n');
define('JS_STATE_SELECT', '-- انتخاب كنيد --');
define('JS_ZONE', '* مقدار \'استان\' بايد از داخل كادر كشويي براي اين كشور انتخاب شود.');
define('JS_COUNTRY', '* مقدار \'كشور\' را انتخاب كنيد.\n');
define('JS_TELEPHONE', '* كادر \'شماره تلفن\' بايد حداقل داراي ' . ENTRY_TELEPHONE_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_PASSWORD', '* كادر \'كلمه عبور\' و \'تائيد كلمه عبور\' بايد حداقل داراي ' . ENTRY_PASSWORD_MIN_LENGTH . ' كاراكتر باشد.\n');

define('JS_ORDER_DOES_NOT_EXIST', 'سفارش شماره %s وجود ندارد !');

define('CATEGORY_PERSONAL', 'شخصي');
define('CATEGORY_ADDRESS', 'آدرس');
define('CATEGORY_CONTACT', 'ارتباط');
define('CATEGORY_COMPANY', 'شركت');
define('CATEGORY_OPTIONS', 'اختيارات');

define('ENTRY_GENDER', 'جنسيت:');
define('ENTRY_GENDER_ERROR', '&nbsp;<span class="errorText">لازم مي باشد</span>');
define('ENTRY_FIRST_NAME', 'نام:');
define('ENTRY_FIRST_NAME_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_LAST_NAME', 'نام خانوادگي:');
define('ENTRY_LAST_NAME_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_LAST_NAME_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_DATE_OF_BIRTH', 'تاريخ تولد:');
define('ENTRY_YEAR_OF_BIRTH', 'سال:' );
define('ENTRY_MONTH_OF_BIRTH', 'ماه:' );
define('ENTRY_DAY_OF_BIRTH', 'روز:' );
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<span class="errorText">(نمونه 10/11/1363)</span>');
define('ENTRY_EMAIL_ADDRESS', 'پست الكترونيك:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '&nbsp;<span class="errorText">آدرس پست الكترونيكي وارد شده غيرمعتبر مي باشد!</span>');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '&nbsp;<span class="errorText">اين آدرس پست الكترونيكي قبلا استفاده شده است!</span>');
define('ENTRY_COMPANY', 'نام شركت:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_STREET_ADDRESS', 'آدرس خيابان:');
define('ENTRY_STREET_ADDRESS_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_SUBURB', 'منطقه:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_POST_CODE', 'كد پستي:');
define('ENTRY_POST_CODE_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_POSTCODE_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_CITY', 'شهر:');
define('ENTRY_CITY_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_CITY_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_STATE', 'استان:');
define('ENTRY_STATE_ERROR', '&nbsp;<span class="errorText">لازم مي باشد</span>');
define('ENTRY_COUNTRY', 'كشور:');
define('ENTRY_COUNTRY_ERROR', '');
define('ENTRY_TELEPHONE_NUMBER', 'شماره تلفن:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '&nbsp;<span class="errorText">حداقل ' . ENTRY_TELEPHONE_MIN_LENGTH . ' كاراكتر</span>');
define('ENTRY_FAX_NUMBER', 'شماره فاكس:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_NEWSLETTER', 'اشتراك خبرنامه:');
define('ENTRY_NEWSLETTER_YES', 'عضو است');
define('ENTRY_NEWSLETTER_NO', 'عضو نيست');
define('ENTRY_NEWSLETTER_ERROR', '');
define('PULL_DOWN_DEFAULT', 'انتخاب كنيد');

// images
define('IMAGE_ANI_SEND_EMAIL', 'فرستادن ايميل');
define('IMAGE_BACK', 'برگشت');
define('IMAGE_BACKUP', 'پشتيبانگيري');
define('IMAGE_CANCEL', 'لغو');
define('IMAGE_CONFIRM', 'تاييد كردن');
define('IMAGE_COPY', 'كپي');
define('IMAGE_COPY_TO', 'كپي به');
define('IMAGE_DETAILS', 'جزئيات');
define('IMAGE_DELETE', 'حذف');
define('IMAGE_EDIT', 'ويرايش');
define('IMAGE_EMAIL', 'ايميل');
define('IMAGE_FILE_MANAGER', 'مدير فايل');
define('IMAGE_ICON_STATUS_GREEN', 'فعال');
define('IMAGE_ICON_STATUS_GREEN_LIGHT', 'فعال كردن');
define('IMAGE_ICON_STATUS_RED', 'غيرفعال');
define('IMAGE_ICON_STATUS_RED_LIGHT', 'غيرفعال كردن');
define('IMAGE_ICON_INFO', 'اطلاعات');
define('IMAGE_INSERT', 'اضافه كردن');
define('IMAGE_LOCK', 'قفل');
define('IMAGE_MODULE_INSTALL', 'نصب موژول');
define('IMAGE_MODULE_REMOVE', 'پاك كردن موژول');
define('IMAGE_MOVE', 'انتقال');
define('IMAGE_NEW_BANNER', 'بنر جديد');
define('IMAGE_NEW_CATEGORY', 'شاخه جديد');
define('IMAGE_NEW_COUNTRY', 'كشور جديد');
define('IMAGE_NEW_CURRENCY', 'واحد پولي جديد');
define('IMAGE_NEW_FILE', 'فايل جديد');
define('IMAGE_NEW_FOLDER', 'پوشه جديد');
define('IMAGE_NEW_LANGUAGE', 'زبان جديد');
define('IMAGE_NEW_NEWSLETTER', 'خبرنامه جديد');
define('IMAGE_NEW_PRODUCT', 'محصول جديد');
define('IMAGE_NEW_TAX_CLASS', 'كلاس مالياتي جديد');
define('IMAGE_NEW_TAX_RATE', 'نرخ مالياتي جديد');
define('IMAGE_NEW_TAX_ZONE', 'منطقه مالياتي جديد');
define('IMAGE_NEW_ZONE', 'منطقه جديد');
define('IMAGE_ORDERS', 'سفارشات');
define('IMAGE_ORDERS_INVOICE', 'فاكتور');
define('IMAGE_ORDERS_PACKINGSLIP', 'بسته بندي');
define('IMAGE_PREVIEW', 'پيش نمايش');
define('IMAGE_RESTORE', 'بازيابي');
define('IMAGE_RESET', 'بازنشاندن');
define('IMAGE_SAVE', 'ذخيره كردن');
define('IMAGE_SEARCH', 'جستجو');
define('IMAGE_SELECT', 'انتخاب كردن');
define('IMAGE_SEND', 'فرستادن');
define('IMAGE_SEND_EMAIL', 'فرستادن ايميل');
define('IMAGE_UNLOCK', 'باز كردن');
define('IMAGE_UPDATE', 'بروزرساني');
define('IMAGE_UPDATE_CURRENCIES', 'بروزرساني واحدهاي پولي');
define('IMAGE_UPLOAD', 'فرستادن');
define('IMAGE_REBUILD_THUMBNAILS', 'بازسازی تصاویر کوچک');

define('ICON_CROSS', 'نادرست');
define('ICON_CURRENT_FOLDER', 'پوشه جاري');
define('ICON_DELETE', 'حذف');
define('ICON_ERROR', 'خطا');
define('ICON_FILE', 'فايل');
define('ICON_FILE_DOWNLOAD', 'دانلود');
define('ICON_FOLDER', 'پوشه');
define('ICON_LOCKED', 'قفل شده');
define('ICON_PREVIOUS_LEVEL', 'سطح قبلي');
define('ICON_PREVIEW', 'پيش نمايش');
define('ICON_STATISTICS', 'آمارها');
define('ICON_SUCCESS', 'موفقيت');
define('ICON_TICK', 'صحيح');
define('ICON_UNLOCKED', 'غير قفل شده');
define('ICON_WARNING', 'هشدار');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'صفحه شماره %s از %d صفحه');
define('TEXT_DISPLAY_NUMBER_OF_BANNERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> بنر)');
define('TEXT_DISPLAY_NUMBER_OF_COUNTRIES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> كشور)');
define('TEXT_DISPLAY_NUMBER_OF_CUSTOMERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> مشتري)');
define('TEXT_DISPLAY_NUMBER_OF_CURRENCIES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> واحد پولي)');
define('TEXT_DISPLAY_NUMBER_OF_LANGUAGES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> زبان)');
define('TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> سازنده)');
define('TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> خبرنامه)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> سفارش)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> وضعيت سفارشات)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول آينده)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> نظر راجع به محصولات)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول در فروش فوق العاده)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> كلاس مالياتي)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_ZONES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> منطقه مالياتي)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_RATES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> نرخ مالياتي)');
define('TEXT_DISPLAY_NUMBER_OF_ZONES', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> منطقه)');

define('PREVNEXT_BUTTON_PREV', '&lt;&lt;');
define('PREVNEXT_BUTTON_NEXT', '&gt;&gt;');

define('TEXT_DEFAULT', 'پيش فرض');
define('TEXT_SET_DEFAULT', 'پيش فرض كردن');
define('TEXT_FIELD_REQUIRED', '&nbsp;<span class="fieldRequired">* لازم مي باشد</span>');

define('ERROR_NO_DEFAULT_CURRENCY_DEFINED', 'خطا: واحد پولي رايجي براي فروشگاه تنظيم نشده است. لطفا يك مقدار را براي آن تنظيم كنيد در: ابزار مديريت->مقادير محلي->واحدهاي پولي');

define('TEXT_CACHE_CATEGORIES', 'جعبه شاخه ها');
define('TEXT_CACHE_MANUFACTURERS', 'جعبه سازندگان');
define('TEXT_CACHE_ALSO_PURCHASED', 'همچنين موژول خريداري شده');

define('TEXT_NONE', '--هيچكدام--');
define('TEXT_TOP', 'اصلي');

define('ERROR_DESTINATION_DOES_NOT_EXIST', 'خطا: مقصد وجود ندارد.');
define('ERROR_DESTINATION_NOT_WRITEABLE', 'خطا: مقصد قابليت نوشتن ندارد.');
define('ERROR_FILE_NOT_SAVED', 'خطا: فايل فرستاده شده ذخيره نشد.');
define('ERROR_FILETYPE_NOT_ALLOWED', 'خطا: به اين نوع فايل كه مي خواهيد بفرستيد اجازه داده نشده است.');
define('SUCCESS_FILE_SAVED_SUCCESSFULLY', 'موفقيت: فايل فرستاده شده با موفقيت دخيره شد.');
define('WARNING_NO_FILE_UPLOADED', 'هشدار: فايلي براي فرستادن وجود ندارد.');
define('WARNING_FILE_UPLOADS_DISABLED', 'هشدار: قابليت فرستادن فايل در تنظيمات موجود در فايل php.ini به صورت غيرفعال درآمده است.');

// constants for use in configuration of store

define('CFG_OPTION_TRUE', 'بلی');
define('CFG_OPTION_FALSE', 'خیر');

define('CFG_OPTION_ASC', 'صعودی');
define('CFG_OPTION_DESC', 'نزولی');

define('CFG_OPTION_PRODUCTS_NAME', 'نام محصول');
define('CFG_OPTION_DATE_EXPECTED', 'تاریخ عرضه');

define('CFG_OPTION_AND', 'و');
define('CFG_OPTION_OR', 'یا');

define('CFG_OPTION_WEIGHT', 'وزن');
define('CFG_OPTION_PRICE', 'قیمت');

define('CFG_OPTION_NATIONAL', 'محلی');
define('CFG_OPTION_INTERNATIONAL', 'بین المللی');
define('CFG_OPTION_BOTH', 'هردو');





?>
