<?php
/*
  $Id: html_output.php 1739 2007-12-20 00:52:16Z hpdl $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com
  http://www.oscommerce.com

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/

  function osc_draw_input_field($name, $value = null, $parameters = null, $override = true, $type = 'text') {
    $field = '<input type="' . $type . '" name="' . $name . '" id="' . $name . '"';
    if ( ($key = $GLOBALS[$name]) || ($key = $GLOBALS['HTTP_GET_VARS'][$name]) || ($key = $GLOBALS['HTTP_POST_VARS'][$name]) || ($key = $GLOBALS['HTTP_SESSION_VARS'][$name]) && ($override) ) {
      $field .= ' value="' . $key . '"';
    } elseif ($value != '') {
      $field .= ' value="' . $value . '"';
    }
    if ($parameters) $field.= ' ' . $parameters;
    $field .= '>';

    return $field;
  }

  function osc_draw_password_field($name, $parameters = null) {
    return osc_draw_input_field($name, null, $parameters, false, 'password');
  }

  function osc_draw_hidden_field($name, $value) {
    return '<input type="hidden" name="' . $name . '" value="' . $value . '">';
  }

  function osc_draw_selection_field($name, $type, $value = '', $checked = false, $parameters = '') {
  	
    $selection = '<input type="' . $type . '" name="' . $name . '" id="' .$name. '"';

    if (!empty($value)) $selection .= ' value="' . $value . '"';

    if ( ($checked == true) || (isset($GLOBALS['HTTP_GET_VARS'][$name]) && is_string($GLOBALS['HTTP_GET_VARS'][$name]) && (($GLOBALS['HTTP_GET_VARS'][$name] == 'on') || (stripslashes($GLOBALS['HTTP_GET_VARS'][$name]) == $value))) || (isset($GLOBALS['HTTP_POST_VARS'][$name]) && is_string($GLOBALS['HTTP_POST_VARS'][$name]) && (($GLOBALS['HTTP_POST_VARS'][$name] == 'on') || (stripslashes($GLOBALS['HTTP_POST_VARS'][$name]) == $value))) ) {
      $selection .= ' CHECKED';
    }

    if (!empty($parameters)) $selection .= ' ' . $parameters;

    $selection .= '>';

    return $selection;
  }

  function osc_draw_checkbox_field($name, $value = '', $checked = false, $parameters = '') {
    return osc_draw_selection_field($name, 'checkbox', $value, $checked, $parameters);
  }

  function osc_draw_radio_field($name, $value = '', $checked = false, $parameters = '') {
    return osc_draw_selection_field($name, 'radio', $value, $checked, $parameters);
  }
?>
