<?php
/*
  $Id: index.php 1740 2009-02-22 22:55:25Z Farhad zare $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com
  http://www.oscommerce.com

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/

  $compat_register_globals = true;

  if (function_exists('ini_get') && (PHP_VERSION < 4.3) && ((int)ini_get('register_globals') == 0)) {
    $compat_register_globals = false;
  }
?>

<div class="mainBlock">
  <h1>به Virtu E-Commerce نسخه 1.2 خوش آمدید!</h1>

  <p>Virtu E-Commerce يك محیط تجارت الکترونیکی كدباز است كه قدرت خود را از OSCommerce می‌گيرد و با تغییراتی در کدهای برنامه اصلی به زبان فارسي ترجمه شده و بهینه‌تر شده است. این برنامه مدیریت محتوا با استفاده از برنامه نصب كننده پیشرفته خود به صاحب فروشگاه اين اجازه را می‌دهد تا با استفاده از حداقل امكانات و بدون هیچ هزینه اضافی فروشگاه مجازی خود را برروی اینترنت راه اندازی, اجرا و نگهداری كند.</p>
  <p>Virtu E-Commerce با ترکیبی از نرم‌افزارهای كدباز محیطی آزاد و قدرتمند را برای توسعه ایجاد كرده است, كه از جمله این نرم‌افزارهای كدباز زبان اسکریپت‌نویسی <i>قدرتمند</i> PHP , برنامه سرور <i>محكم</i> Apache, و سرور پايگاه‌داده <i>سریع</i> MySQL می‌باشد.</p>
  <p>بدون هیچ محدودیت یا استفاده از نرم‌افزارهای جانبی, Virtu E-Commerce می‌تواند برروی PHP5 یا PHP4 اجرا شود, و همه محیط‌هایی را كه در آنها PHP و MySQL قابل نصب باشند پشتیبانی می‌كند, كه این محیط‌ها می‌توانند Linux, Solaris, BSD, و Microsoft Windows باشند.</p>
</div>

<div class="contentBlock">
  <div class="infoPane">
    <h3>سازگاری سرور</h3>

    <div class="infoPaneContents">
      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>نسخه PHP</b></td>
          <td align="left"><?php echo PHP_VERSION; ?></td>
          <td align="left" width="25"><img src="images/<?php echo ((PHP_VERSION >= 4) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

<?php
  if (function_exists('ini_get')) {
?>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>تنظیمات PHP</td>
          <td align="left"></td>
          <td align="left" width="25"></td>
        </tr>
        <tr>
          <td>register_globals</td>
          <td align="left"><?php echo (((int)ini_get('register_globals') == 0) ? 'خاموش' : 'روشن'); ?></td>
          <td align="left"><img src="images/<?php echo (($compat_register_globals == true) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>magic_quotes</td>
          <td align="left"><?php echo (((int)ini_get('magic_quotes') == 0) ? 'خاموش' : 'روشن'); ?></td>
          <td align="left"><img src="images/<?php echo (((int)ini_get('magic_quotes') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>file_uploads</td>
          <td align="left"><?php echo (((int)ini_get('file_uploads') == 0) ? 'خاموش' : 'روشن'); ?></td>
          <td align="left"><img src="images/<?php echo (((int)ini_get('file_uploads') == 1) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>session.auto_start</td>
          <td align="left"><?php echo (((int)ini_get('session.auto_start') == 0) ? 'خاموش' : 'روشن'); ?></td>
          <td align="left"><img src="images/<?php echo (((int)ini_get('session.auto_start') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>session.use_trans_sid</td>
          <td align="left"><?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'خاموش' : 'روشن'); ?></td>
          <td align="left"><img src="images/<?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>توسعه‌های PHP</b></td>
          <td align="left" width="25"></td>
        </tr>
        <tr>
          <td>MySQL</td>
          <td align="left"><img src="images/<?php echo (extension_loaded('mysql') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>GD</td>
          <td align="left"><img src="images/<?php echo (extension_loaded('gd') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>cURL</td>
          <td align="left"><img src="images/<?php echo (extension_loaded('curl') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>OpenSSL</td>
          <td align="left"><img src="images/<?php echo (extension_loaded('openssl') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

<?php
  }
?>

    </div>
  </div>

  <div class="contentPane">
    <h2>نصب سیستم</h2>

<?php
  $configfile_array = array();

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !is_writeable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    @chmod(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php', 0777);
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !is_writeable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    @chmod(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php', 0777);
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !is_writeable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php';
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !is_writeable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php';
  }

  $warning_array = array();

  if (function_exists('ini_get')) {
    if ($compat_register_globals == false) {
      $warning_array['register_globals'] = 'سازگاری با register_globals برای PHP نسخه 4.3 و بالاتر امکانپذیر می‌باشد. این تنظیمات برای PHP نسخه قدیمی‌تر <u>باید فعال گردد</u>.';
    }
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <div class="noticeBox">

<?php
    if (sizeof($warning_array) > 0) {
?>

      <table border="0" width="100%" cellspacing="0" cellpadding="2" style="background: #fffbdf; border: 1px solid #ffc20b; padding: 2px;">

<?php
      reset($warning_array);
      while (list($key, $value) = each($warning_array)) {
        echo '        <tr>' . "\n" .
             '          <td valign="top"><b>' . $key . '</b></td>' . "\n" .
             '          <td valign="top">' . $value . '</td>' . "\n" .
             '        </tr>' . "\n";
      }
?>

      </table>
<?php
    }

    if (sizeof($configfile_array) > 0) {
?>

      <p>وب‌سرور قادر به ذخیره پارامترهای نصب در فایلهای پیکربندی سیستم نمی‌باشد.</p>
      <p>فایلهای زیر باید با تغییر سطح‌دسترسی قابل نوشتن توسط وب‌سرور باشند (chmod 777):</p>
      <p dir="ltr">

<?php
      for ($i=0, $n=sizeof($configfile_array); $i<$n; $i++) {
        echo $configfile_array[$i];

        if (isset($configfile_array[$i+1])) {
          echo '<br />';
        }
      }
?>

      </p>

<?php
    }
?>

    </div>

<?php
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <p>لطفا خطاهای عنوان شده در بالا را رفع نموده و با استفاده از دکمه زیر برای بررسی دوباره این صفحه را بازخوانی نمایید.</p>

<?php
    if (sizeof($warning_array) > 0) {
      echo '    <p><i>تغییر پارامترهای پیکربندی وب‌سرور شاید نیازمند این باشد که سرویس وب‌سرور برای استفاده از تغییرات اعمال شده دوباره راه‌اندازی شود.</i></p>' . "\n";
    }
?>

    <p align="left"><a href="index.php"><img src="images/button_retry.gif" border="0" alt="سعی دوباره" /></a></p>

<?php
  } else {
?>

    <p>برای انجام یک نصب موفق و پیکربندی فروشگاه آنلاین شما تنظیمات وب‌سرور شما مورد تائید می‌باشد.</p>
    <p>برای آغاز رویه نصب لطفا برروی دکمه ادامه کلیک نمایید.</p>
    <p align="left"><a href="install.php"><img src="images/button_continue.gif" border="0" alt="ادامه" /></a></p>

<?php
  }
?>

  </div>
</div>
