<?php
/*
  $Id: install_2.php 1740 2009-02-24 18:25:45Z Farhad zare $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com
  http://www.oscommerce.com

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/

  $www_location = 'http://' . $HTTP_SERVER_VARS['HTTP_HOST'];

  if (isset($HTTP_SERVER_VARS['REQUEST_URI']) && !empty($HTTP_SERVER_VARS['REQUEST_URI'])) {
    $www_location .= $HTTP_SERVER_VARS['REQUEST_URI'];
  } else {
    $www_location .= $HTTP_SERVER_VARS['SCRIPT_FILENAME'];
  }

  $www_location = substr($www_location, 0, strpos($www_location, 'install'));

  $dir_fs_www_root = osc_realpath(dirname(__FILE__) . '/../../../') . '/';
  
  $cookie_path = substr(dirname(getenv('SCRIPT_NAME')), 0, -7);
?>

<div class="mainBlock">
  <div class="stepsBox">
    <ol>
      <li>سرور پایگاه‌داده</li>
      <li style="font-weight: bold;">وب‌سرور</li>
      <li>تنظیمات فروشگاه</li>
      <li>پایان!</li>
    </ol>
  </div>

  <h1>نصب سیستم</h1>

  <p>سیستم نصب‌کننده تحت وب، فروشگاه آنلاین Virtu E-Commerce را برای اجرا برروی این سرور پیکربندی نموده و نصب خواهد کرد.</p>
  <p>لطفا راهنماهای موجود برروی صفحه را دنبال کرده و مشخصات مربوط به سرور پایگاه‌داده، وب سرور و پیکربندی فروشگاهتان را وارد نمایید. اگر در هر مرحله‌ای نیاز به راهنمایی بیشتری احساس کردید می‌توانید به مستندات یا انجمن پروژه مراجعه فرمایید.</p>
</div>

<div class="contentBlock">
  <div class="infoPane">
    <h3>مرحله ۲: وب‌سرور</h3>

    <div class="infoPaneContents">
      <p>وب‌سرور وظیفه ارائه صفحات فروشگاه آنلاین شما به مهمانان و مشتریانتان را برعهده دارد. تنظیم پارامترهای وب‌سرور به ما اطمینان می‌دهد که لینکهای صفحات به محل‌های معتبر ارجاع داده می‌شوند.</p>
    </div>
  </div>

  <div class="contentPane">
    <h2>وب‌سرور</h2>

    <form name="install" id="installForm" action="install.php?step=3" method="post">

    <table border="0" width="99%" cellspacing="0" cellpadding="5" class="inputForm">
      <tr>
        <td class="inputField"><?php echo 'آدرس WWW<br />' . osc_draw_input_field('HTTP_WWW_ADDRESS', $www_location, 'class="text" dir="ltr"'); ?></td>
        <td class="inputDescription">آدرس وب فروشگاه آنلاین شما.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'دایرکتوری اصلی وب‌سرور<br />' . osc_draw_input_field('DIR_FS_DOCUMENT_ROOT', $dir_fs_www_root, 'class="text" dir="ltr"'); ?></td>
        <td class="inputDescription">فروشگاه برروی وب‌سرور در کدام دایرکتوری نصب خواهد شد.</td>
      </tr>
	  <tr>
	  	<td class="inputField"><?php echo 'نام دامنه HTTP Cookie<br />' . osc_draw_input_field('HTTP_COOKIE_DOMAIN', getenv('HTTP_HOST'), 'class="text" dir="ltr"'); ?></td>
		<td class="inputDescription">نام کامل یا ترکیبی از دامنه برای cookieهای فروشگاه.</td>
	  </tr>
	  <tr>
	  	<td class="inputField"><?php echo 'مسیر HTPP Cookie<br />' . osc_draw_input_field('HTTP_COOKIE_PATH', $cookie_path, 'class="text" dir="ltr"'); ?></td>
		<td class="inputDescription">آدرس وبی که cookieهای فروشگاه فقط محدود به آن آدرس باشند.</td>
	  </tr>
	  <tr>
	  	<td class="inputField"><?php echo 'فعال کردن ارتباط SSL&nbsp;&nbsp;&nbsp;' . osc_draw_checkbox_field('ENABLE_SSL', 'true'); ?></td>
		<td class="inputDescription">فعال کردن ارتباط امنیتی SSL/HTTPS - برای استفاده از این گزینه باید گواهینامه امنیتی برروی سرور شما تعریف شده باشد.</td>
	  </tr>
    </table>

    <p align="left"><input type="image" src="images/button_continue.gif" border="0" alt="ادامه" id="inputButton" />&nbsp;&nbsp;<a href="index.php"><img src="images/button_cancel.gif" border="0" alt="انصراف" /></a></p>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y')) {
      if (is_array($value)) {
        for ($i=0, $n=sizeof($value); $i<$n; $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }
?>

    </form>
  </div>
</div>
