<?php
/*
  $Id: farsi.php,v 1.0 2004/08/12 18:13:39 farhad zare Exp $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com/
  http://www.oscommerce.com/

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
@setlocale(LC_TIME, 'fa_IR.UTF-8');

define('DATE_FORMAT_SHORT', '%m/%d/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'IRR');

// Global entries for the <html> tag
define('HTML_PARAMS','dir="RTL" lang="fa"');

// Direction variables for language
define('HTML_TAG_ALIGN', 'right');
define('HTML_TAG_RALIGN', 'left');

// charset for web pages and emails
define('CHARSET', 'utf-8');

// page title
define('TITLE', 'مركز خريد');

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'عضويت');
define('HEADER_TITLE_MY_ACCOUNT', 'حساب كاربري');
define('HEADER_TITLE_CART_CONTENTS', 'محتويات سبد خريد');
define('HEADER_TITLE_CHECKOUT', 'پرداخت نهايي');
define('HEADER_TITLE_TOP', 'صفحه اصلي');
define('HEADER_TITLE_CATALOG', 'فروشگاه');
define('HEADER_TITLE_LOGOFF', 'خروج');
define('HEADER_TITLE_LOGIN', 'ورود');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'بار مشاهده از تاريخ');

// text for gender
define('MALE', 'مرد');
define('FEMALE', 'زن');
define('MALE_ADDRESS', 'آقاي');
define('FEMALE_ADDRESS', 'خانم');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// categories box text in includes/boxes/categories.php
define('BOX_HEADING_CATEGORIES', 'شاخه ها');

// manufacturers box text in includes/boxes/manufacturers.php
define('BOX_HEADING_MANUFACTURERS', 'ارائه كنندگان');

// whats_new box text in includes/boxes/whats_new.php
define('BOX_HEADING_WHATS_NEW', 'آخرين محصولات');

// quick_find box text in includes/boxes/quick_find.php
define('BOX_HEADING_SEARCH', 'جستجوي سريع');
define('BOX_SEARCH_TEXT', 'براي پيدا كردن محصولات كلمه مورد نظر خود را وارد كنيد');
define('BOX_SEARCH_ADVANCED_SEARCH', 'جستجوي پيشرفته');

// specials box text in includes/boxes/specials.php
define('BOX_HEADING_SPECIALS', 'فوق العاده');

// reviews box text in includes/boxes/reviews.php
define('BOX_HEADING_REVIEWS', 'نظريات');
define('BOX_REVIEWS_WRITE_REVIEW', 'درباره اين محصول نظر بدهيد');
define('BOX_REVIEWS_NO_REVIEWS', 'درحال حاضر،نظري در مورد محصولات داده نشده است');
define('BOX_REVIEWS_TEXT_OF_5_STARS', '%s از 5 ستاره!');

// shopping_cart box text in includes/boxes/shopping_cart.php
define('BOX_HEADING_SHOPPING_CART', 'سبد خريد');
define('BOX_SHOPPING_CART_EMPTY', '0 مورد');

// order_history box text in includes/boxes/order_history.php
define('BOX_HEADING_CUSTOMER_ORDERS', 'سوابق خريد');

// best_sellers box text in includes/boxes/best_sellers.php
define('BOX_HEADING_BESTSELLERS', 'پرفروشترين ها');
define('BOX_HEADING_BESTSELLERS_IN', 'پرفروشترين ها در<br>  ');

// notifications box text in includes/boxes/products_notifications.php
define('BOX_HEADING_NOTIFICATIONS', 'اطلاعيه ها');
define('BOX_NOTIFICATIONS_NOTIFY', 'مرا از تغييرات محصول <b>%s</b> آگاه كن.');
define('BOX_NOTIFICATIONS_NOTIFY_REMOVE', 'ديگر مرا از تغييرات محصول<b>%s</b> آگاه نكن.');

// manufacturer box text
define('BOX_HEADING_MANUFACTURER_INFO', 'اطلاعات ارائه كننده');
define('BOX_MANUFACTURER_INFO_HOMEPAGE', 'سايت اصلي %s');
define('BOX_MANUFACTURER_INFO_OTHER_PRODUCTS', 'محصولات ديگر');

// languages box text in includes/boxes/languages.php
define('BOX_HEADING_LANGUAGES', 'زبان');

// currencies box text in includes/boxes/currencies.php
define('BOX_HEADING_CURRENCIES', 'واحد پول');

// information box text in includes/boxes/information.php
define('BOX_HEADING_INFORMATION', 'اطلاعات');
define('BOX_INFORMATION_PRIVACY', 'اطلاعيه ها');
define('BOX_INFORMATION_CONDITIONS', 'قوانين فروشگاه');
define('BOX_INFORMATION_SHIPPING', 'حمل و نقل');
define('BOX_INFORMATION_CONTACT', 'تماس با ما');

// tell a friend box text in includes/boxes/tell_a_friend.php
define('BOX_HEADING_TELL_A_FRIEND', 'معرفي به يك دوست!');
define('BOX_TELL_A_FRIEND_TEXT', 'اين محصول را به دوستتان معرفي كنيد.');

// Login box text in includes/boxes/loginbox.php
define('BOX_LOGINBOX_HEADING', 'ورود به سيستم');
define('BOX_LOGINBOX_EMAIL', 'آدرس پست الكترونيك:');
define('BOX_LOGINBOX_PASSWORD', 'كلمه عبور:');
define('IMAGE_BUTTON_LOGIN', 'ورود');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'اطلاعات تحويل محصول');
define('CHECKOUT_BAR_PAYMENT', 'اطلاعات پرداخت');
define('CHECKOUT_BAR_CONFIRMATION', 'تائيد');
define('CHECKOUT_BAR_FINISHED', 'پايان');

// pull down default text
define('PULL_DOWN_DEFAULT', 'انتخاب كنيد');
define('TYPE_BELOW', 'در زير وارد كنيد');

// javascript messages
define('JS_ERROR', 'در هنگام تكميل كردن فرم خطايي به وجود آمده است.\n\nلطفا موارد زير را اصلاح كنيد:\n\n');

define('JS_REVIEW_TEXT', '* متن نظر ارائه شده توسط شما بايد حداقل داراي ' . REVIEW_TEXT_MIN_LENGTH . ' كاراكتر باشد.\n');
define('JS_REVIEW_RATING', '* شما بايد براي نظر خود يك امتياز نيز تعيين كنيد.\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '*لطفا يك روش پرداخت براي سفارش خود انتخاب كنيد.\n');

define('JS_ERROR_SUBMITTED', 'اين فرم قبلا توسط شما تكميل شده و ارائه شده است. لطفا دكمه تائيد را براي تمام شدن مراحل تائيد فرم فشار دهيد..');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'لطفا يك روش پرداخت را براي ادامه كار سفارش انتخاب كنيد.');

define('CATEGORY_COMPANY', 'مشخصات شركت');
define('CATEGORY_PERSONAL', 'اطلاعات شخصي شما');
define('CATEGORY_ADDRESS', 'آدرس شما');
define('CATEGORY_CONTACT', 'اطلاعات تماس با شما');
define('CATEGORY_OPTIONS', 'اختيارات');
define('CATEGORY_PASSWORD', 'كلمه عبور شما');

define('ENTRY_COMPANY', 'نام شركت:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'جنسيت:');
define('ENTRY_GENDER_ERROR', 'لطفا جنسيت خود را مشخص كنيد.');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'نام:');
define('ENTRY_FIRST_NAME_ERROR', 'نام شما بايد حداقل شامل ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', 'نام خانوادگي:');
define('ENTRY_LAST_NAME_ERROR', 'نام خانوادگي شما بايد حداقل شامل ' . ENTRY_LAST_NAME_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', 'تاريخ تولد:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'تاريخ تولد وارد شده توسط شما نادرست است لطفا دوباره بررسي كنيد.');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (10/11/1363 نمونه)');
define('ENTRY_YEAR_OF_BIRTH', 'سال:' );
define('ENTRY_MONTH_OF_BIRTH', 'ماه:' );
define('ENTRY_DAY_OF_BIRTH', 'روز:' );
define('ENTRY_EMAIL_ADDRESS', 'پست الكترونيكی:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'پست الكترونيك شما بايد حداقل شامل' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' كاراكتر باشد');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'آدرس پست الكترونيك شما صحيح نميباشد لطفا آنرا اصلاح نماييد');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'پست الكترونيك شما قبلا ثبت شده است - لطفا با همان آدرس الكترونيكي وارد فروشگاه شويد و يا براي ايجاد حساب كاربري جديد از يك آدرس ديگر استفاده كنيد. در صورت وجود هرگونه مشكل در ثبت نام مي توانيد با ما تماس حاصل فرمائيد.');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', 'خيابان');
define('ENTRY_STREET_ADDRESS_ERROR', 'آدرس خيابان شما بايد حداقل شامل  ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', 'منطقه:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'كد پستي:');
define('ENTRY_POST_CODE_ERROR', 'كد پستي شما بايد حداقل شامل ' . ENTRY_POSTCODE_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', 'شهر:');
define('ENTRY_CITY_ERROR', 'شهر شما بايد حداقل شامل ' . ENTRY_CITY_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', 'استان يا ايالت:');
define('ENTRY_STATE_ERROR', 'نام استان شما بايد حداقل شامل ' . ENTRY_STATE_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_STATE_ERROR_SELECT', 'لطفا يك استان را از منوي كشويي استانها انتخاب كنيد.');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', 'كشور:');
define('ENTRY_COUNTRY_ERROR', 'شما بايد از منوي كشورها،كشور مورد نظر خود را انتخاب نماييد.');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', 'شماره تلفن:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'شماره تلفن شما حداقل بايد شامل  ' . ENTRY_TELEPHONE_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'فاكس:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'اشتراك خبرنامه');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'اشتراك');
define('ENTRY_NEWSLETTER_NO', 'قطع اشتراك');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', 'كلمه عبور:');
define('ENTRY_PASSWORD_ERROR', 'كلمه عبور شما بايد حداقل شامل ' . ENTRY_PASSWORD_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'كادر تائيد كلمه عبور شما بايد با كلمه عبور واقعي يكي باشد.');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'تائيد كلمه عبور:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', 'كلمه عبور فعلي:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'كلمه عبور شما بايد حداقل شامل ' . ENTRY_PASSWORD_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_PASSWORD_NEW', 'كلمه عبور جديد:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'كلمه عبور جديد شما بايد حداقل شامل ' . ENTRY_PASSWORD_MIN_LENGTH . ' كاراكتر باشد.');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'كادر تائيد كلمه عبور بايد با كادر كلمه عبور جديد مطابقت داشته باشد.');
define('PASSWORD_HIDDEN', '-- پنهان --');

define('FORM_REQUIRED_INFORMATION', '* حتما بايد پر شوند');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'تعداد صفحات :');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> سفارش)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> نظر)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول جديد)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'نمايش <b>%d</b> تا <b>%d</b> (از <b>%d</b> محصول فوق العاده)');

define('PREVNEXT_TITLE_FIRST_PAGE', 'اولين صفحه');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'صفحه قبلي');
define('PREVNEXT_TITLE_NEXT_PAGE', 'صفحه بعدي');
define('PREVNEXT_TITLE_LAST_PAGE', 'آخرين صفحه');
define('PREVNEXT_TITLE_PAGE_NO', 'صفحه %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Previous Set of %d Pages');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Next Set of %d Pages');
define('PREVNEXT_BUTTON_FIRST', '<<اولين');
define('PREVNEXT_BUTTON_PREV', '[<< قبلي]');
define('PREVNEXT_BUTTON_NEXT', '[بعدي >>]');
define('PREVNEXT_BUTTON_LAST', 'آخرين>>');

define('IMAGE_BUTTON_ADD_ADDRESS', 'اضافه كردن آدرس');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'دفترچه ادرس');
define('IMAGE_BUTTON_BACK', 'بازگشت');
define('IMAGE_BUTTON_BUY_NOW', 'خريد');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'تغيير آدرس');
define('IMAGE_BUTTON_CHECKOUT', 'پرداخت نهايي');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'تائيد سفارش');
define('IMAGE_BUTTON_CONTINUE', 'ادامه');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'ادامه خريد');
define('IMAGE_BUTTON_DELETE', 'حذف');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'ويرايش حساب كاربري');
define('IMAGE_BUTTON_HISTORY', 'سفارشات سابق');
define('IMAGE_BUTTON_LOGIN', 'ورود');
define('IMAGE_BUTTON_IN_CART', 'اضافه كردن به سبد خريد');
define('IMAGE_BUTTON_NOTIFICATIONS', 'اطلاعيه ها');
define('IMAGE_BUTTON_QUICK_FIND', 'جستجوي سريع');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'پاك كردن اطلاعيه ها');
define('IMAGE_BUTTON_REVIEWS', 'نظرات');
define('IMAGE_BUTTON_SEARCH', 'جستجو');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'اختيارات حمل و نقل');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'اطلاع دادن به يك دوست');
define('IMAGE_BUTTON_UPDATE', 'بروزرساني');
define('IMAGE_BUTTON_UPDATE_CART', 'بروزرساني سبد');
define('IMAGE_BUTTON_WRITE_REVIEW', 'نوشتن نظر');

define('SMALL_IMAGE_BUTTON_DELETE', 'حذف');
define('SMALL_IMAGE_BUTTON_EDIT', 'ويرايش');
define('SMALL_IMAGE_BUTTON_VIEW', 'مشاهده');

define('ICON_ARROW_RIGHT', 'اطلاعات بيشتر');
define('ICON_CART', 'In Cart');
define('ICON_ERROR', 'خطا');
define('ICON_SUCCESS', 'موفقيت آميز');
define('ICON_WARNING', 'اخطار');

define('TEXT_GREETING_PERSONAL', 'خوش آمديد <span class="greetUser">%s!</span>  <a href="%s"><u>كالاهاي جديد</u></a> جهت خريد قابل دسترس ميباشد.');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>اگر شما %s نيستيد, لطفا <a href="%s"><u>وارد حساب كاربري خود</u></a> بشويد با استفاده از اطلاعات موجود درباره حساب كاربري خود.</small>');
define('TEXT_GREETING_GUEST', 'خوش آمديد <span class="greetUser">كاربر ميهمان!</span> ممكن است بخواهيد <a href="%s"><u>وارد سيستم شويد</u></a>؟ و يا <a href="%s"><u>يك حساب جهت خريد براي خود ايجاد كنيد</u></a>؟');

define('TEXT_SORT_PRODUCTS', 'مرتب سازي محصولات ');
define('TEXT_DESCENDINGLY', 'نزولي');
define('TEXT_ASCENDINGLY', 'صعودي');
define('TEXT_BY', ' به وسيله ');

define('TEXT_REVIEW_BY', 'توسط %s');
define('TEXT_REVIEW_WORD_COUNT', '%s كلمه');
define('TEXT_REVIEW_RATING', 'امتيازدهي: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'تاريخ افزودن: %s');
define('TEXT_NO_REVIEWS', 'در حال حاضر نظري براي اين محصول وجود ندارد');

define('TEXT_NO_NEW_PRODUCTS', 'محصولي موجود نميباشد.');

define('TEXT_UNKNOWN_TAX_RATE', 'درصد مالياتي نامعلوم');

define('TEXT_REQUIRED', '<span class="errorText">لازم مي باشد</span>');

define('ERROR_TEP_MAIL', '<font face="Tahoma, Arial" size="2" color="#ff0000"><b><small>خطاي عمومي:</small> به وسيله SMTP سرور تعيين شده امكان ارسال ايميل وجود ندارد. لطفا تنظيمات موجود در فايل php.ini و همچنين صحت اطلاعات سرور SMTP را در صروت نياز بررسي كنيد.</b></font>');
define('WARNING_INSTALL_DIRECTORY_EXISTS', 'هشدار: پوشه هاي نصب برنامه در مسير مقابل وجود دارند: ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install. لطفا اطلاعات موجود در اين پوشه را به دليل مسائل امنيتي پاك كنيد.');
define('WARNING_CONFIG_FILE_WRITEABLE', 'هشدار: فايل پيكر بندي موجود در مسير مقابل قابليت نوشتن برروي خود را دارد: ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php. اين موضوع يك خطر امنيتي مهم مي باشد - لطفا اجازه دسترسي اين فايل را به مقدار مناسب تغيير دهيد.');
define('WARNING_SESSION_DIRECTORY_NON_EXISTENT', 'هشدار: پوشه مربوط به فايلهاي session در مسير مقابل وجود ندارد: ' . tep_session_save_path() . '. فايلهاي Session تا وقتيكه اين پوشه ايجاد نشود كار نخواهند كرد.');
define('WARNING_SESSION_DIRECTORY_NOT_WRITEABLE', 'هشدار: برنامه قادر به نوشتن اطلاعات در پوشه فايلهاي session موجود در در مسير مقابل نيست: ' . tep_session_save_path() . '. فايلهاي Sessions تا وقتيكه حق دسترسي مناسب براي اين پوشه تعريف نشده است كار نخواهند كرد.');
define('WARNING_SESSION_AUTO_START', 'هشدار: مقدار session.auto_start فعال مي باشد - لطفا اين مقدار را در فايل php.ini به صورت غيرفعال دربياوريد و سپس سرور را restart كنيد.');
define('WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT', 'هشدار: هشدار: پوشه مربوط به فايلهاي قابل دريافت در مسير مقابل وجود ندارد: ' . DIR_FS_DOWNLOAD . '. محصول قابل دريافت تاوقتيكه اين پوشه ايجاد نشده است غيرفعال خواهند بود.');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'تاريخ انقضايي كه براي credit card خود وارد كرده ايد غيرمعتبر مي باشد.لطفا مقدار وارد شده براي اين تاريخ را بررسي كنيد و دوباره اقدام نماييد.');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', 'شماره credit card كه وارد كرده ايد غيرمعتبر مي باشد.لطفا شماره اي را كه وارد كرده ايد دوباره بررسي كنيد و دوباره اقدام نماييد.');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', 'چهار عدد اولي كه براي اين شماره وارد كرده ايد عبارتند از: %sاگر اين اعداد صحيح مي باشند, ما اين نوع از كارت اعتباري را نمي پذيريم.اگر اين اعداد اشتباه مي باشند, لطفا آنها را تصحيح كرده و دوباره اقدام كنيد.');

define('FOOTER_TEXT_BODY', 'کپی‌رایت &copy; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a><br>Powered by <a href="http://www.e-virtu.com" target="_blank">Virtu E-Commerce</a>');
?>
