# $Id: samples.sql,v 1.1 2009/02/04 19:04:30 Farhad zare Exp $
#
# Virtu, Open Source E-Commerce
# http://www.e-virtu.com/
#
# Copyright (c) 2007-2009 Virtu E-Commerce
#
# Released under the GNU General Public License
#
# NOTE: * Please make any modifications to this file by hand!
#       * DO NOT use a mysqldump created file for new changes!
#       * Please take note of the table structure, and use this
#         structure as a standard for future modifications!
#       * Any tables you add here should be added in admin/backup.php
#         and in catalog/install/includes/functions/database.php
#       * To see the 'diff'erence between MySQL databases, use
#         the mysqldiff perl script located in the extras
#         directory of the 'catalog' module.
#       * Comments should be like these, full line comments.
#         (don\'t use inline comments)

INSERT INTO categories VALUES ("1", "sample/category_hardware.gif", "0", "1", now(), NULL);
INSERT INTO categories VALUES ("2", "sample/category_software.gif", "0", "2", now(), NULL);
INSERT INTO categories VALUES ("3", "sample/category_dvd_movies.gif", "0", "3", now(), NULL);
INSERT INTO categories VALUES ("4", "sample/subcategory_graphic_cards.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("5", "sample/subcategory_printers.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("6", "sample/subcategory_monitors.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("7", "sample/subcategory_speakers.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("8", "sample/subcategory_keyboards.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("9", "sample/subcategory_mice.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("10", "sample/subcategory_action.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("11", "sample/subcategory_science_fiction.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("12", "sample/subcategory_comedy.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("13", "sample/subcategory_cartoons.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("14", "sample/subcategory_thriller.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("15", "sample/subcategory_drama.gif", "3", "0", now(), NULL);
INSERT INTO categories VALUES ("16", "sample/subcategory_memory.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("17", "sample/subcategory_cdrom_drives.gif", "1", "0", now(), NULL);
INSERT INTO categories VALUES ("18", "sample/subcategory_simulation.gif", "2", "0", now(), NULL);
INSERT INTO categories VALUES ("19", "sample/subcategory_action_games.gif", "2", "0", now(), NULL);
INSERT INTO categories VALUES ("20", "sample/subcategory_strategy.gif", "2", "0", now(), NULL);

INSERT INTO categories_description VALUES ( "1", "4", "سخت افزار");
INSERT INTO categories_description VALUES ( "2", "4", "نرم افزار");
INSERT INTO categories_description VALUES ( "3", "4", "فيلمهای DVD");
INSERT INTO categories_description VALUES ( "4", "4", "كارت گرافيكی");
INSERT INTO categories_description VALUES ( "5", "4", "چاپگر");
INSERT INTO categories_description VALUES ( "6", "4", "مانيتور");
INSERT INTO categories_description VALUES ( "7", "4", "بلندگو");
INSERT INTO categories_description VALUES ( "8", "4", "صفحه كليد");
INSERT INTO categories_description VALUES ( "9", "4", "ماوس");
INSERT INTO categories_description VALUES ( "10", "4", "ماجرايی");
INSERT INTO categories_description VALUES ( "11", "4", "علمي تخيلی");
INSERT INTO categories_description VALUES ( "12", "4", "كمدی");
INSERT INTO categories_description VALUES ( "13", "4", "انيميشن");
INSERT INTO categories_description VALUES ( "14", "4", "ترسناك");
INSERT INTO categories_description VALUES ( "15", "4", "درام");
INSERT INTO categories_description VALUES ( "16", "4", "حافظه");
INSERT INTO categories_description VALUES ( "17", "4", "درايو سي دی");
INSERT INTO categories_description VALUES ( "18", "4", "خيالی");
INSERT INTO categories_description VALUES ( "19", "4", "ماجرايی");
INSERT INTO categories_description VALUES ( "20", "4", "استراتژيكی");
INSERT INTO categories_description VALUES ( "1", "1", "Hardware");
INSERT INTO categories_description VALUES ( "2", "1", "Software");
INSERT INTO categories_description VALUES ( "3", "1", "DVD Movies");
INSERT INTO categories_description VALUES ( "4", "1", "Graphics Cards");
INSERT INTO categories_description VALUES ( "5", "1", "Printers");
INSERT INTO categories_description VALUES ( "6", "1", "Monitors");
INSERT INTO categories_description VALUES ( "7", "1", "Speakers");
INSERT INTO categories_description VALUES ( "8", "1", "Keyboards");
INSERT INTO categories_description VALUES ( "9", "1", "Mice");
INSERT INTO categories_description VALUES ( "10", "1", "Action");
INSERT INTO categories_description VALUES ( "11", "1", "Science Fiction");
INSERT INTO categories_description VALUES ( "12", "1", "Comedy");
INSERT INTO categories_description VALUES ( "13", "1", "Cartoons");
INSERT INTO categories_description VALUES ( "14", "1", "Thriller");
INSERT INTO categories_description VALUES ( "15", "1", "Drama");
INSERT INTO categories_description VALUES ( "16", "1", "Memory");
INSERT INTO categories_description VALUES ( "17", "1", "CDROM Drives");
INSERT INTO categories_description VALUES ( "18", "1", "Simulation");
INSERT INTO categories_description VALUES ( "19", "1", "Action");
INSERT INTO categories_description VALUES ( "20", "1", "Strategy");

INSERT INTO manufacturers VALUES (1, "Matrox", "sample/manufacturer_matrox.gif", now(), NULL);
INSERT INTO manufacturers VALUES (2, "Warner", "sample/manufacturer_warner.gif", now(), NULL);
INSERT INTO manufacturers VALUES (3, "Fox", "sample/manufacturer_fox.gif", now(), NULL);
INSERT INTO manufacturers VALUES (4, "Logitech", "sample/manufacturer_logitech.gif", now(), NULL);
INSERT INTO manufacturers VALUES (5, "Canon", "sample/manufacturer_canon.gif", now(), NULL);
INSERT INTO manufacturers VALUES (6, "Sierra", "sample/manufacturer_sierra.gif", now(), NULL);
INSERT INTO manufacturers VALUES (7, "GT Interactive", "sample/manufacturer_gt_interactive.gif", now(), NULL);
INSERT INTO manufacturers VALUES (8, "Hewlett Packard", "sample/manufacturer_hewlett_packard.gif", now(), NULL);

INSERT INTO manufacturers_info VALUES (1, 4, "http://www.matrox.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (1, 1, "http://www.matrox.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (2, 4, "http://www.warner.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (2, 1, "http://www.warner.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (3, 4, "http://www.fox.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (3, 1, "http://www.fox.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (4, 4, "http://www.logitech.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (4, 1, "http://www.logitech.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (5, 4, "http://www.canon.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (5, 1, "http://www.canon.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (6, 4, "http://www.sierra.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (6, 1, "http://www.sierra.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (7, 4, "http://www.infogrames.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (7, 1, "http://www.infogrames.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (8, 4, "http://www.hewlettpackard.com", 0, NULL);
INSERT INTO manufacturers_info VALUES (8, 1, "http://www.hewlettpackard.com", 0, NULL);

INSERT INTO products VALUES (1, 32, "MG200MMS", "sample/matrox/mg200mms.gif", 300000.0000, now(), NULL, "2004-09-05 00:00:00", 23.00, 1, 0, 1, 0);
INSERT INTO products VALUES (2, 29, "MG400-32MB", "sample/matrox/mg400-32mb.gif", 499.9900, now(), NULL, "", 23.00, 1, 1, 1, 3);
INSERT INTO products VALUES (3, 17, "DVD-BLDRNDC", "sample/dvd/blade_runner.gif", 35.9900, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (4, 9, "DVD-MATR", "sample/dvd/the_matrix.gif", 39.9900, now(), NULL, "", 7.00, 1, 1, 2, 1);
INSERT INTO products VALUES (5, 10, "DVD-YGEM", "sample/dvd/youve_got_mail.gif", 34.9900, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (6, 10, "DVD-ABUG", "sample/dvd/a_bugs_life.gif", 35.9900, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (7, 10, "DVD-UNSG", "sample/dvd/under_siege.gif", 29.9900, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (8, 10, "DVD-UNSG2", "sample/dvd/under_siege2.gif", 29.9900, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (9, 10, "DVD-FDBL", "sample/dvd/fire_down_below.gif", 24600.0000, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (10, 10, "DVD-DHWV", "sample/dvd/die_hard_3.gif", 32800.0000, now(), NULL, "", 100.00, 1, 1, 3, 0);
INSERT INTO products VALUES (11, 10, "DVD-LTWP", "sample/dvd/lethal_weapon.gif", 29000.0000, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (12, 10, "DVD-REDC", "sample/dvd/red_corner.gif", 32.0000, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (13, 10, "DVD-FRAN", "sample/dvd/frantic.gif", 35.0000, now(), NULL, "", 7.00, 1, 1, 2, 0);
INSERT INTO products VALUES (14, 7, "DVD-CUFI", "sample/dvd/courage_under_fire.gif", 38.9900, now(), NULL, "", 7.00, 1, 1, 3, 3);
INSERT INTO products VALUES (15, 10, "DVD-SPEED", "sample/dvd/speed.gif", 32000.0000, now(), NULL, "", 7.00, 1, 1, 3, 0);
INSERT INTO products VALUES (16, 8, "DVD-SPEED2", "sample/dvd/speed_2.gif", 3500.0000, now(), NULL, "", 7.00, 1, 1, 3, 2);
INSERT INTO products VALUES (17, 10, "DVD-TSAB", "sample/dvd/theres_something_about_mary.gif", 49.9900, now(), NULL, "", 7.00, 1, 1, 3, 0);
INSERT INTO products VALUES (18, 9, "DVD-BELOVED", "sample/dvd/beloved.gif", 54.9900, now(), NULL, "", 7.00, 1, 1, 2, 1);
INSERT INTO products VALUES (19, 16, "PC-SWAT3", "sample/sierra/swat_3.gif", 79.9900, now(), NULL, "", 7.00, 1, 1, 6, 0);
INSERT INTO products VALUES (20, 13, "PC-UNTM", "sample/gt_interactive/unreal_tournament.gif", 89.9900, now(), NULL, "", 7.00, 1, 1, 7, 1);
INSERT INTO products VALUES (21, 16, "PC-TWOF", "sample/gt_interactive/wheel_of_time.gif", 99.9900, now(), NULL, "", 10.00, 1, 1, 7, 0);
INSERT INTO products VALUES (22, 16, "PC-DISC", "sample/gt_interactive/disciples.gif", 90.0000, now(), NULL, "", 8.00, 1, 1, 7, 1);
INSERT INTO products VALUES (23, 7, "HPLJ1100XI", "sample/hewlett_packard/lj1100xi.gif", 499.9900, now(), NULL, "", 45.00, 1, 1, 8, 1);

INSERT INTO products_description VALUES (1, 4, "Matrox G200 MMS", "Reinforcing its position as a multi-monitor trailblazer, Matrox Graphics Inc. has once again developed the most flexible and highly advanced solution in the industry. Introducing the new Matrox G200 Multi-Monitor Series; the first graphics card ever to support up to four DVI digital flat panel displays on a single 8\" PCI board.<br><br>With continuing demand for digital flat panels in the financial workplace, the Matrox G200 MMS is the ultimate in flexible solutions. The Matrox G200 MMS also supports the new digital video interface (DVI) created by the Digital Display Working Group (DDWG) designed to ease the adoption of digital flat panels. Other configurations include composite video capture ability and onboard TV tuner, making the Matrox G200 MMS the complete solution for business needs.<br><br>Based on the award-winning MGA-G200 graphics chip, the Matrox G200 Multi-Monitor Series provides superior 2D/3D graphics acceleration to meet the demanding needs of business applications such as real-time stock quotes (Versus), live video feeds (Reuters & Bloombergs), multiple windows applications, word processing, spreadsheets and CAD.", "www.matrox.com/mga/products/g200_mms/home.cfm", "4");
INSERT INTO products_description VALUES (2, 4, "Matrox G400 32MB", "<b>Dramatically Different High Performance Graphics</b><br><br>Introducing the Millennium G400 Series - a dramatically different, high performance graphics experience. Armed with the industry\'s fastest graphics chip, the Millennium G400 Series takes explosive acceleration two steps further by adding unprecedented image quality, along with the most versatile display options for all your 3D, 2D and DVD applications. As the most powerful and innovative tools in your PC\'s arsenal, the Millennium G400 Series will not only change the way you see graphics, but will revolutionize the way you use your computer.<br><br><b>Key features:</b><ul><li>New Matrox G400 256-bit DualBus graphics chip</li><li>Explosive 3D, 2D and DVD performance</li><li>DualHead Display</li><li>Superior DVD and TV output</li><li>3D Environment-Mapped Bump Mapping</li><li>Vibrant Color Quality rendering </li><li>UltraSharp DAC of up to 360 MHz</li><li>3D Rendering Array Processor</li><li>Support for 16 or 32 MB of memory</li></ul>", "www.matrox.com/mga/products/mill_g400/home.htm", "8");
INSERT INTO products_description VALUES (3, 4, "Blade Runner - Director\'s Cut", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).<br>Languages: English, Deutsch.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen.<br>Length: (approx) 112 minutes.<br>Other: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.bladerunner.com", "1");
INSERT INTO products_description VALUES (4, 4, "The Matrix", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch.\r<br>\nAudio: Dolby Surround.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 131 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Making Of.", "www.thematrix.com", "12");
INSERT INTO products_description VALUES (5, 4, "You\'ve Got Mail", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch, Spanish.\r<br>\nSubtitles: English, Deutsch, Spanish, French, Nordic, Polish.\r<br>\nAudio: Dolby Digital 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 115 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.youvegotmail.com", "0");
INSERT INTO products_description VALUES (6, 4, "A Bug\'s Life", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Digital 5.1 / Dobly Surround Stereo.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 91 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.abugslife.com", "0");
INSERT INTO products_description VALUES (7, 4, "Under Siege", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 98 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (8, 4, "Under Siege 2 - Dark Territory", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 98 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (9, 4, "Fire Down Below", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 100 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (10, 4, "مرگ با انتقام", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 122 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (11, 4, "Lethal Weapon", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 100 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (12, 4, "Red Corner", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 117 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "6");
INSERT INTO products_description VALUES (13, 4, "Frantic", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 115 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (14, 4, "Courage Under Fire", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 112 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "9");
INSERT INTO products_description VALUES (15, 4, "Speed", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 112 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (16, 4, "Speed 2: Cruise Control", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 120 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (17, 4, "There\'s Something About Mary", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 114 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "1");
INSERT INTO products_description VALUES (18, 4, "Beloved", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 164 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "5");
INSERT INTO products_description VALUES (19, 4, "SWAT 3: Close Quarters Battle", "<b>Windows 95/98</b><br><br>211 in progress with shots fired. Officer down. Armed suspects with hostages. Respond Code 3! Los Angles, 2005, In the next seven days, representatives from every nation around the world will converge on Las Angles to witness the signing of the United Nations Nuclear Abolishment Treaty. The protection of these dignitaries falls on the shoulders of one organization, LAPD SWAT. As part of this elite tactical organization, you and your team have the weapons and all the training necessary to protect, to serve, and \"When needed\" to use deadly force to keep the peace. It takes more than weapons to make it through each mission. Your arsenal includes C2 charges, flashbangs, tactical grenades. opti-Wand mini-video cameras, and other devices critical to meeting your objectives and keeping your men free of injury. Uncompromised Duty, Honor and Valor!", "www.swat3.com", "10");
INSERT INTO products_description VALUES (20, 4, "Unreal Tournament", "From the creators of the best-selling Unreal, comes Unreal Tournament. A new kind of single player experience. A ruthless multiplayer revolution.<br><br>This stand-alone game showcases completely new team-based gameplay, groundbreaking multi-faceted single player action or dynamic multi-player mayhem. It\'s a fight to the finish for the title of Unreal Grand Master in the gladiatorial arena. A single player experience like no other! Guide your team of \'bots\' (virtual teamates) against the hardest criminals in the galaxy for the ultimate title - the Unreal Grand Master.", "www.unrealtournament.net", "4");
INSERT INTO products_description VALUES (21, 4, "The Wheel Of Time", "The world in which The Wheel of Time takes place is lifted directly out of Jordan\'s pages; it\'s huge and consists of many different environments. How you navigate the world will depend largely on which game - single player or multipayer - you\'re playing. The single player experience, with a few exceptions, will see Elayna traversing the world mainly by foot (with a couple notable exceptions). In the multiplayer experience, your character will have more access to travel via Ter\'angreal, Portal Stones, and the Ways. However you move around, though, you\'ll quickly discover that means of locomotion can easily become the least of the your worries...<br><br>During your travels, you quickly discover that four locations are crucial to your success in the game. Not surprisingly, these locations are the homes of The Wheel of Time\'s main characters. Some of these places are ripped directly from the pages of Jordan\'s books, made flesh with Legend\'s unparalleled pixel-pushing ways. Other places are specific to the game, conceived and executed with the intent of expanding this game world even further. Either way, they provide a backdrop for some of the most intense first person action and strategy you\'ll have this year.", "www.wheeloftime.com", "0");
INSERT INTO products_description VALUES (22, 4, "Disciples: Sacred Lands", "A new age is dawning...<br><br>Enter the realm of the Sacred Lands, where the dawn of a New Age has set in motion the most momentous of wars. As the prophecies long foretold, four races now clash with swords and sorcery in a desperate bid to control the destiny of their gods. Take on the quest as a champion of the Empire, the Mountain Clans, the Legions of the Damned, or the Undead Hordes and test your faith in battles of brute force, spellbinding magic and acts of guile. Slay demons, vanquish giants and combat merciless forces of the dead and undead. But to ensure the salvation of your god, the hero within must evolve.<br><br>The day of reckoning has come... and only the chosen will survive.", "", "3");
INSERT INTO products_description VALUES (23, 4, "Hewlett Packard LaserJet 1100Xi", "HP has always set the pace in laser printing technology. The new generation HP LaserJet 1100 series sets another impressive pace, delivering a stunning 8 pages per minute print speed. The 600 dpi print resolution with HP\'s Resolution Enhancement technology (REt) makes every document more professional.<br><br>Enhanced print speed and laser quality results are just the beginning. With 2MB standard memory, HP LaserJet 1100xi users will be able to print increasingly complex pages. Memory can be increased to 18MB to tackle even more complex documents with ease. The HP LaserJet 1100xi supports key operating systems including Windows 3.1, 3.11, 95, 98, NT 4.0, OS/2 and DOS. Network compatibility available via the optional HP JetDirect External Print Servers.<br><br>HP LaserJet 1100xi also features The Document Builder for the Web Era from Trellix Corp. (featuring software to create Web documents).", "www.pandi.hp.com/pandi-db/prodinfo.main?product=laserjet1100", "8");
INSERT INTO products_description VALUES (1, 1, "Matrox G200 MMS", "Reinforcing its position as a multi-monitor trailblazer, Matrox Graphics Inc. has once again developed the most flexible and highly advanced solution in the industry. Introducing the new Matrox G200 Multi-Monitor Series; the first graphics card ever to support up to four DVI digital flat panel displays on a single 8\" PCI board.<br><br>With continuing demand for digital flat panels in the financial workplace, the Matrox G200 MMS is the ultimate in flexible solutions. The Matrox G200 MMS also supports the new digital video interface (DVI) created by the Digital Display Working Group (DDWG) designed to ease the adoption of digital flat panels. Other configurations include composite video capture ability and onboard TV tuner, making the Matrox G200 MMS the complete solution for business needs.<br><br>Based on the award-winning MGA-G200 graphics chip, the Matrox G200 Multi-Monitor Series provides superior 2D/3D graphics acceleration to meet the demanding needs of business applications such as real-time stock quotes (Versus), live video feeds (Reuters & Bloombergs), multiple windows applications, word processing, spreadsheets and CAD.", "www.matrox.com/mga/products/g200_mms/home.cfm", "4");
INSERT INTO products_description VALUES (2, 1, "Matrox G400 32MB", "<b>Dramatically Different High Performance Graphics</b><br><br>Introducing the Millennium G400 Series - a dramatically different, high performance graphics experience. Armed with the industry\'s fastest graphics chip, the Millennium G400 Series takes explosive acceleration two steps further by adding unprecedented image quality, along with the most versatile display options for all your 3D, 2D and DVD applications. As the most powerful and innovative tools in your PC\'s arsenal, the Millennium G400 Series will not only change the way you see graphics, but will revolutionize the way you use your computer.<br><br><b>Key features:</b><ul><li>New Matrox G400 256-bit DualBus graphics chip</li><li>Explosive 3D, 2D and DVD performance</li><li>DualHead Display</li><li>Superior DVD and TV output</li><li>3D Environment-Mapped Bump Mapping</li><li>Vibrant Color Quality rendering </li><li>UltraSharp DAC of up to 360 MHz</li><li>3D Rendering Array Processor</li><li>Support for 16 or 32 MB of memory</li></ul>", "www.matrox.com/mga/products/mill_g400/home.htm", "8");
INSERT INTO products_description VALUES (3, 1, "Blade Runner - Director\'s Cut", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).<br>Languages: English, Deutsch.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen.<br>Length: (approx) 112 minutes.<br>Other: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.bladerunner.com", "1");
INSERT INTO products_description VALUES (4, 1, "The Matrix", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch.\r<br>\nAudio: Dolby Surround.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 131 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Making Of.", "www.thematrix.com", "12");
INSERT INTO products_description VALUES (5, 1, "You\'ve Got Mail", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch, Spanish.\r<br>\nSubtitles: English, Deutsch, Spanish, French, Nordic, Polish.\r<br>\nAudio: Dolby Digital 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 115 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.youvegotmail.com", "0");
INSERT INTO products_description VALUES (6, 1, "A Bug\'s Life", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Digital 5.1 / Dobly Surround Stereo.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 91 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "www.abugslife.com", "0");
INSERT INTO products_description VALUES (7, 1, "Under Siege", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 98 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (8, 1, "Under Siege 2 - Dark Territory", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 98 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (9, 1, "Fire Down Below", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 100 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (10, 1, "مرگ با انتقام", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 122 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (11, 1, "Lethal Weapon", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 100 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (12, 1, "Red Corner", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 117 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "6");
INSERT INTO products_description VALUES (13, 1, "Frantic", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 115 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "0");
INSERT INTO products_description VALUES (14, 1, "Courage Under Fire", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 112 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "9");
INSERT INTO products_description VALUES (15, 1, "Speed", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 112 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (16, 1, "Speed 2: Cruise Control", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r\n<br>\r\nLanguages: English, Deutsch.\r\n<br>\r\nSubtitles: English, Deutsch, Spanish.\r\n<br>\r\nAudio: Dolby Surround 5.1.\r\n<br>\r\nPicture Format: 16:9 Wide-Screen.\r\n<br>\r\nLength: (approx) 120 minutes.\r\n<br>\r\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "2");
INSERT INTO products_description VALUES (17, 1, "There\'s Something About Mary", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 114 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "1");
INSERT INTO products_description VALUES (18, 1, "Beloved", "Regional Code: 2 (Japan, Europe, Middle East, South Africa).\r<br>\nLanguages: English, Deutsch.\r<br>\nSubtitles: English, Deutsch, Spanish.\r<br>\nAudio: Dolby Surround 5.1.\r<br>\nPicture Format: 16:9 Wide-Screen.\r<br>\nLength: (approx) 164 minutes.\r<br>\nOther: Interactive Menus, Chapter Selection, Subtitles (more languages).", "", "5");
INSERT INTO products_description VALUES (19, 1, "SWAT 3: Close Quarters Battle", "<b>Windows 95/98</b><br><br>211 in progress with shots fired. Officer down. Armed suspects with hostages. Respond Code 3! Los Angles, 2005, In the next seven days, representatives from every nation around the world will converge on Las Angles to witness the signing of the United Nations Nuclear Abolishment Treaty. The protection of these dignitaries falls on the shoulders of one organization, LAPD SWAT. As part of this elite tactical organization, you and your team have the weapons and all the training necessary to protect, to serve, and \"When needed\" to use deadly force to keep the peace. It takes more than weapons to make it through each mission. Your arsenal includes C2 charges, flashbangs, tactical grenades. opti-Wand mini-video cameras, and other devices critical to meeting your objectives and keeping your men free of injury. Uncompromised Duty, Honor and Valor!", "www.swat3.com", "10");
INSERT INTO products_description VALUES (20, 1, "Unreal Tournament", "From the creators of the best-selling Unreal, comes Unreal Tournament. A new kind of single player experience. A ruthless multiplayer revolution.<br><br>This stand-alone game showcases completely new team-based gameplay, groundbreaking multi-faceted single player action or dynamic multi-player mayhem. It\'s a fight to the finish for the title of Unreal Grand Master in the gladiatorial arena. A single player experience like no other! Guide your team of \'bots\' (virtual teamates) against the hardest criminals in the galaxy for the ultimate title - the Unreal Grand Master.", "www.unrealtournament.net", "4");
INSERT INTO products_description VALUES (21, 1, "The Wheel Of Time", "The world in which The Wheel of Time takes place is lifted directly out of Jordan\'s pages; it\'s huge and consists of many different environments. How you navigate the world will depend largely on which game - single player or multipayer - you\'re playing. The single player experience, with a few exceptions, will see Elayna traversing the world mainly by foot (with a couple notable exceptions). In the multiplayer experience, your character will have more access to travel via Ter\'angreal, Portal Stones, and the Ways. However you move around, though, you\'ll quickly discover that means of locomotion can easily become the least of the your worries...<br><br>During your travels, you quickly discover that four locations are crucial to your success in the game. Not surprisingly, these locations are the homes of The Wheel of Time\'s main characters. Some of these places are ripped directly from the pages of Jordan\'s books, made flesh with Legend\'s unparalleled pixel-pushing ways. Other places are specific to the game, conceived and executed with the intent of expanding this game world even further. Either way, they provide a backdrop for some of the most intense first person action and strategy you\'ll have this year.", "www.wheeloftime.com", "0");
INSERT INTO products_description VALUES (22, 1, "Disciples: Sacred Lands", "A new age is dawning...<br><br>Enter the realm of the Sacred Lands, where the dawn of a New Age has set in motion the most momentous of wars. As the prophecies long foretold, four races now clash with swords and sorcery in a desperate bid to control the destiny of their gods. Take on the quest as a champion of the Empire, the Mountain Clans, the Legions of the Damned, or the Undead Hordes and test your faith in battles of brute force, spellbinding magic and acts of guile. Slay demons, vanquish giants and combat merciless forces of the dead and undead. But to ensure the salvation of your god, the hero within must evolve.<br><br>The day of reckoning has come... and only the chosen will survive.", "", "3");
INSERT INTO products_description VALUES (23, 1, "Hewlett Packard LaserJet 1100Xi", "HP has always set the pace in laser printing technology. The new generation HP LaserJet 1100 series sets another impressive pace, delivering a stunning 8 pages per minute print speed. The 600 dpi print resolution with HP\'s Resolution Enhancement technology (REt) makes every document more professional.<br><br>Enhanced print speed and laser quality results are just the beginning. With 2MB standard memory, HP LaserJet 1100xi users will be able to print increasingly complex pages. Memory can be increased to 18MB to tackle even more complex documents with ease. The HP LaserJet 1100xi supports key operating systems including Windows 3.1, 3.11, 95, 98, NT 4.0, OS/2 and DOS. Network compatibility available via the optional HP JetDirect External Print Servers.<br><br>HP LaserJet 1100xi also features The Document Builder for the Web Era from Trellix Corp. (featuring software to create Web documents).", "www.pandi.hp.com/pandi-db/prodinfo.main?product=laserjet1100", "8");

INSERT INTO products_attributes VALUES (1, 1, 4, 1, 0.0000, "+");
INSERT INTO products_attributes VALUES (2, 1, 4, 2, 50.0000, "+");
INSERT INTO products_attributes VALUES (3, 1, 4, 3, 70.0000, "+");
INSERT INTO products_attributes VALUES (4, 1, 3, 5, 0.0000, "+");
INSERT INTO products_attributes VALUES (5, 1, 3, 6, 100.0000, "+");
INSERT INTO products_attributes VALUES (6, 2, 4, 3, 10.0000, "-");
INSERT INTO products_attributes VALUES (7, 2, 4, 4, 0.0000, "+");
INSERT INTO products_attributes VALUES (8, 2, 3, 6, 0.0000, "+");
INSERT INTO products_attributes VALUES (9, 2, 3, 7, 120.0000, "+");
INSERT INTO products_attributes VALUES (26, 20, 5, 10, 0.0000, "+");
INSERT INTO products_attributes VALUES (27, 20, 5, 13, 0.0000, "+");

INSERT INTO products_attributes_download VALUES (26, "unreal.zip", 7, 3);

INSERT INTO products_options VALUES (1, 4, "رنگ");
INSERT INTO products_options VALUES (2, 4, "اندازه");
INSERT INTO products_options VALUES (3, 4, "مدل");
INSERT INTO products_options VALUES (4, 4, "حافظه");
INSERT INTO products_options VALUES (5, 4, "نسخه");
INSERT INTO products_options VALUES (1, 1, "Color");
INSERT INTO products_options VALUES (2, 1, "Size");
INSERT INTO products_options VALUES (3, 1, "Model");
INSERT INTO products_options VALUES (4, 1, "Memory");
INSERT INTO products_options VALUES (5, 1, "Version");

INSERT INTO products_options_values VALUES (1, 4, "4 مگابايت");
INSERT INTO products_options_values VALUES (2, 4, "8 مگابايت");
INSERT INTO products_options_values VALUES (3, 4, "16 مگابايت");
INSERT INTO products_options_values VALUES (4, 4, "32 مگابايت");
INSERT INTO products_options_values VALUES (5, 4, "Value");
INSERT INTO products_options_values VALUES (6, 4, "Premium");
INSERT INTO products_options_values VALUES (7, 4, "Deluxe");
INSERT INTO products_options_values VALUES (10, 4, "داونلود:ويندوز-انگليسی");
INSERT INTO products_options_values VALUES (13, 4, "بسته:ويندوز-انگليسی");
INSERT INTO products_options_values VALUES (1, 1, "4 mb");
INSERT INTO products_options_values VALUES (2, 1, "8 mb");
INSERT INTO products_options_values VALUES (3, 1, "16 mb");
INSERT INTO products_options_values VALUES (4, 1, "32 mb");
INSERT INTO products_options_values VALUES (5, 1, "Value");
INSERT INTO products_options_values VALUES (6, 1, "Premium");
INSERT INTO products_options_values VALUES (7, 1, "Deluxe");
INSERT INTO products_options_values VALUES (10, 1, "Download: Windows - English");
INSERT INTO products_options_values VALUES (13, 1, "Box: Windows - English");

INSERT INTO products_options_values_to_products_options VALUES (1, 4, 1);
INSERT INTO products_options_values_to_products_options VALUES (2, 4, 2);
INSERT INTO products_options_values_to_products_options VALUES (3, 4, 3);
INSERT INTO products_options_values_to_products_options VALUES (4, 4, 4);
INSERT INTO products_options_values_to_products_options VALUES (5, 3, 5);
INSERT INTO products_options_values_to_products_options VALUES (6, 3, 6);
INSERT INTO products_options_values_to_products_options VALUES (7, 3, 7);
INSERT INTO products_options_values_to_products_options VALUES (10, 5, 10);
INSERT INTO products_options_values_to_products_options VALUES (13, 5, 13);

INSERT INTO products_to_categories VALUES (1, 4);
INSERT INTO products_to_categories VALUES (2, 4);
INSERT INTO products_to_categories VALUES (3, 11);
INSERT INTO products_to_categories VALUES (4, 10);
INSERT INTO products_to_categories VALUES (5, 12);
INSERT INTO products_to_categories VALUES (6, 13);
INSERT INTO products_to_categories VALUES (7, 10);
INSERT INTO products_to_categories VALUES (8, 10);
INSERT INTO products_to_categories VALUES (9, 10);
INSERT INTO products_to_categories VALUES (10, 10);
INSERT INTO products_to_categories VALUES (11, 10);
INSERT INTO products_to_categories VALUES (12, 15);
INSERT INTO products_to_categories VALUES (13, 14);
INSERT INTO products_to_categories VALUES (14, 15);
INSERT INTO products_to_categories VALUES (15, 10);
INSERT INTO products_to_categories VALUES (16, 10);
INSERT INTO products_to_categories VALUES (17, 12);
INSERT INTO products_to_categories VALUES (18, 15);
INSERT INTO products_to_categories VALUES (19, 18);
INSERT INTO products_to_categories VALUES (20, 19);
INSERT INTO products_to_categories VALUES (21, 20);
INSERT INTO products_to_categories VALUES (22, 20);
INSERT INTO products_to_categories VALUES (23, 5);

INSERT INTO reviews VALUES (1, 17, 1, "John doe", 5, now(), "", 0);

INSERT INTO reviews_description VALUES (1, 1, "this has to be one of the funniest movies released for 1999!");

INSERT INTO specials VALUES (2, 3, 30.0000, now(), "", "", "", 0);
INSERT INTO specials VALUES (3, 4, 30.0000, now(), "", "", "", 1);
INSERT INTO specials VALUES (4, 14, 29.9900, now(), "", "", "", 1);
