<?php
/*
  $Id: install_3.php 1740 2009-02-24 18:35:50Z Farhad zare $

  Virtu, Open Source E-Commerce
  http://www.e-virtu.com
  http://www.oscommerce.com

  Copyright (c) 2007-2009 Virtu E-Commerce

  Released under the GNU General Public License
*/
?>

<div class="mainBlock">
  <div class="stepsBox">
    <ol>
      <li>سرور پایگاه‌داده</li>
      <li>وب‌سرور</li>
      <li style="font-weight: bold;">تنظیمات فروشگاه</li>
      <li>پایان!</li>
    </ol>
  </div>

  <h1>نصب سیستم</h1>

  <p>سیستم نصب‌کننده تحت وب، فروشگاه آنلاین Virtu E-Commerce را برای اجرا برروی این سرور پیکربندی نموده و نصب خواهد کرد.</p>
  <p>لطفا راهنماهای موجود برروی صفحه را دنبال کرده و مشخصات مربوط به سرور پایگاه‌داده، وب سرور و پیکربندی فروشگاهتان را وارد نمایید. اگر در هر مرحله‌ای نیاز به راهنمایی بیشتری احساس کردید می‌توانید به مستندات یا انجمن پروژه مراجعه فرمایید.</p>
</div>

<div class="contentBlock">
  <div class="infoPane">
    <h3>مرحله ۳: تنظیمات فروشگاه</h3>

    <div class="infoPaneContents">
      <p>در این بخش شما می‌توانید نام فروشگاه آنلاین خودتان و اطلاعات تماس مربوط به مدیریت فروشگاه را تعریف نمایید.</p>
      <p>نام کاربری و کلمه‌عبور مدیریت جهت ورود به بخش مدیریت فروشگاه توسط شما استفاده خواهد شد.</p>
    </div>
  </div>

  <div class="contentPane">
    <h2>تنظیمات فروشگاه</h2>

    <form name="install" id="installForm" action="install.php?step=4" method="post">

    <table border="0" width="99%" cellspacing="0" cellpadding="5" class="inputForm">
      <tr>
        <td class="inputField"><?php echo 'نام فروشگاه<br />' . osc_draw_input_field('CFG_STORE_NAME', null, 'class="text"'); ?></td>
        <td class="inputDescription">نام فروشگاه آنلاین شما که به صورت عمومی نمایش داده خواهد شد.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'نام صاحب فروشگاه<br />' . osc_draw_input_field('CFG_STORE_OWNER_NAME', null, 'class="text"'); ?></td>
        <td class="inputDescription">نام صاحب فروشگاه که به صورت عمومی نمایش داده خواهد شد.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'آدرس پست‌الکترونیکی صاحب فروشگاه<br />' . osc_draw_input_field('CFG_STORE_OWNER_EMAIL_ADDRESS', null, 'class="text" dir="ltr"'); ?></td>
        <td class="inputDescription">آدرس پست‌الکترونیکی صاحب فروشگاه جهت ورود به بخش مدیریت فروشگاه</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'کلمه‌عبور مدیریت<br />' . osc_draw_password_field('CFG_ADMINISTRATOR_PASSWORD', 'class="text" dir="ltr"'); ?></td>
        <td class="inputDescription">کلمه‌عبوری که برای ورود به بخش مدیریت استفاده خواهید نمود.</td>
      </tr>
    </table>

    <p align="left"><input type="image" src="images/button_continue.gif" border="0" alt="ادامه" id="inputButton" />&nbsp;&nbsp;<a href="index.php"><img src="images/button_cancel.gif" border="0" alt="انصراف" /></a></p>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y')) {
      if (is_array($value)) {
        for ($i=0, $n=sizeof($value); $i<$n; $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }
?>

    </form>
  </div>
</div>
